shishi_authenticator_add_cksum_type(3)

NAME
shishi_authenticator_add_cksum_type - API function

SYNOPSIS
#include <shishi.h>

int shishi_authenticator_add_cksum_type(Shishi * handle, Shishi_asn1 authenticator, Shishi_key * key, int keyusage, int cksumtype, char * data, size_t datalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 authenticator
    authenticator as allocated by shishi_authenticator().

Shishi_key * key
    key to to use for encryption.

int keyusage
    cryptographic key usage value to use in encryption.

int cksumtype
    checksum to type to calculate checksum.

char * data
    input array with data to calculate checksum on.

size_t datalen
    size of input array with data to calculate checksum on.

DESCRIPTION
Calculate checksum for data and store it in the authenticator.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.